Subject: [bug#29017] [PATCH] gnu: Add gwl.

From: Roel Janssen <[email-masked]>
Date: Fri, 27 Oct 2017 13:26:24 +0200

Ludovic Courtès writes:

> Hello!
>
> Roel Janssen <[email-masked]> skribis:
>
>> I would like to add GWL.  For a lack of a better place, I chose the
>> bioinformatics module because that's where we use this package.
>
> Awesome!  \o/
>
> Perhaps that could go to package-management.scm?

The new patch adds it to package-management.scm.

>
>> From eaa22755769973ba30600ae96bb92a5d6bad11dd Mon Sep 17 00:00:00 2001
>> From: Roel Janssen <[email-masked]>
>> Date: Thu, 26 Oct 2017 22:46:50 +0200
>> Subject: [PATCH] gnu: Add gwl.
>>
>> * gnu/packages/bioinformatics.scm (gwl): New variable.
>
> [...]
>
>> +(define-public gwl
>> +  (package
>> +    (name "gwl")
>> +    (version "0.1.0")
>> +    (source (origin
>> +              (method url-fetch)
>> +              (uri (string-append "https://git.roelj.com/attachments/"
>> +                                  "d804e310-b9c0-44b1-bd18-c7505e9f9d9b"))
>
> Do you have a more “standard” URL, such as a cgit snapshot?  If not
> that’s fine.

This I found a bit weird about Gogs.  Custom-uploaded tarballs get these
weird URLs.  I uploaded the same tarball to guixwl.org, and adjusted the
recipe to use that URL.

>
>> +    (inputs
>> +     `(("guix" ,guix)
>> +       ("guile" ,guile-2.2)
>> +       ("guile-commonmark" ,guile-commonmark)))
>
> It might be that you either need to propagate Guix and CommonMark, or to
> wrap the binaries that GWL provides (as is done in the ‘guix’ package),
> no?

I added guix and guile-commonmark to the propagated-inputs.

>
> Otherwise LGTM, thank you!
>
> Ludo’.

Thanks for your quick response!  I pushed the new patch in 58a308e0b.

Kind regards,
Roel Janssen